# sumeuler-par_sample.plot (sampled map times/overhead vs costs)

#set terminal pdf
#set terminal png
set datafile separator ","
set datafile commentschars "#%"
set xtics nomirror
set xlabel "map task"
set xrange [0:64000]
set xtics auto
set ytics nomirror
set ylabel "time [ms]"
set yrange [0:50]
set ytics auto
set y2label "cost [ms]"
set y2range [0:50]
set y2tics auto
#set grid ytics lt 0 lw 1
#set grid xtics lt 0 lw 1
FIT_LIMIT = 1e-6
f(x) = a*x + b
fit f(x) "sumeuler-par_sample.csv" using ($4/1000):2 via a, b
#a = 1.36359
#b = 2.08176
set key top right
plot "sumeuler-par_sample.csv" using 1:3 axis x1y1 with points lc 3 title "overhead", \
     "sumeuler-par_sample.csv" using 1:2 axis x1y1 with points lc 1 title "runtime", \
     "sumeuler-par_sample.csv" using 1:($4/1000) axis x1y2 with points lc 2 title "cost", \
     "sumeuler-par_sample.csv" using 1:(f($4/1000)) axis x1y2 with lines lc 2 title "adjusted cost"
